DELETE FROM inventory
 WHERE product_id IN
       (SELECT product.product_id
          FROM product
         WHERE product.vendor_id IS NULL )
/

DELETE FROM order_item
 WHERE product_id IN
       (SELECT product.product_id
          FROM product
         WHERE product.vendor_id IS NULL )
/

DELETE FROM product
 WHERE vendor_id IS NULL
/
